## org.eclipse.datatools.connectivity.ui.wizards
Class ExtensibleProfileDetailsWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizardPage
                  org.eclipse.datatools.connectivity.ui.wizards.ConnectionProfileDetailsPage
                      org.eclipse.datatools.connectivity.ui.wizards.ExtensibleProfileDetailsWizardPage

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.internal.ui.wizards.ISkippable, org.eclipse.datatools.connectivity.internal.ui.wizards.ISummaryDataSource, org.eclipse.datatools.connectivity.internal.ui.wizards.IWizardAction, IDriverUIContributorInformation, org.eclipse.help.IContextProvider, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

Direct Known Subclasses:
  HSQLDBProfileDetailsWizardPage, SQLITEProfileDetailsWizardPage

    public class ExtensibleProfileDetailsWizardPage

extends ConnectionProfileDetailsPage
implements IDriverUIContributorInformation

Field Summary

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ExtensibleProfileDetailsWizardPage(java.lang.String wizardPageName)` Requires that a mapping from the driver category ID be made from the provider ID via the mappings extension point.
`ExtensibleProfileDetailsWizardPage(java.lang.String wizardPageName, java.lang.String driverCategoryID)`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`void` `createCustomControl(org.eclipse.swt.widgets.Composite parent)`
`boolean` `determinePageCompletion()`
`void` `dispose()`
`java.util.Properties` `getProperties()`
`java.util.List` `getSummaryData()`
`boolean` `isPageComplete()`
`void` `setProperties(java.util.Properties properties)`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ConnectionProfileDetailsPage
`getContext, getContextChangeMask, getSearchExpression, setCreateAutoConnectControls`

Methods inherited from class org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizardPage
`getSkippable, onSetActive, onWizardNext, setNeedMediation, setSkippable`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Constructor Detail

### ExtensibleProfileDetailsWizardPage

    public ExtensibleProfileDetailsWizardPage(java.lang.String wizardPageName)

  Requires that a mapping from the driver category ID be made from the provider ID via the mappings extension point.

### ExtensibleProfileDetailsWizardPage

    public ExtensibleProfileDetailsWizardPage(java.lang.String wizardPageName,
                                              java.lang.String driverCategoryID)

Method Detail

### createCustomControl

    public void createCustomControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createCustomControl` in class `ConnectionProfileDetailsPage`

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `createControl` in class `ConnectionProfileDetailsPage`

### determinePageCompletion

    public boolean determinePageCompletion()

### getProperties

    public java.util.Properties getProperties()

  Specified by:
    `getProperties` in interface `IDriverUIContributorInformation`

### setProperties

    public void setProperties(java.util.Properties properties)

  Specified by:
    `setProperties` in interface `IDriverUIContributorInformation`

### getSummaryData

    public java.util.List getSummaryData()

  Specified by:
    `getSummaryData` in interface `org.eclipse.datatools.connectivity.internal.ui.wizards.ISummaryDataSource`
  Overrides:
    `getSummaryData` in class `org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizardPage`

### isPageComplete

    public boolean isPageComplete()

  Specified by:
    `isPageComplete` in interface `org.eclipse.jface.wizard.IWizardPage`
  Overrides:
    `isPageComplete` in class `org.eclipse.jface.wizard.WizardPage`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `dispose` in class `org.eclipse.jface.dialogs.DialogPage`